Attribute (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j
Interface Attribute

All Superinterfaces:
  Cloneable, Node

All Known Implementing Classes:
  AbstractAttribute

public interface Attribute
extends Node

`Attribute` defines an XML attribute. An attribute may have a name, an optional namespace and a value.

Version:
  $Revision: 1.9 $
Author:
  James Strachan

Field Summary

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Method Summary
`Object` | `getData()` Accesses the data of this attribute which may implement data typing bindings such as `XML Schema` or `Java Bean` bindings or will return the same value as `Node.getText()`.
`Namespace` | `getNamespace()` Returns the `Namespace` of this element if one exists otherwise null is returned returned.
`String` | `getNamespacePrefix()` Returns the namespace prefix of this element if one exists otherwise an empty `String` is returned.
`String` | `getNamespaceURI()` Returns the URI mapped to the namespace of this element if one exists otherwise an empty `String` is returned.
`QName` | `getQName()` Returns the `QName` of this attribute which represents the local name, the qualified name and the `Namespace`.
`String` | `getQualifiedName()` Returns the fully qualified name of this element.
`String` | `getValue()` Returns the value of the attribute.
`void` | `setData(Object data)` Sets the data value of this attribute if this element supports data binding or calls `Node.setText(String)`if it doesn't.
`void` | `setNamespace(Namespace namespace)` Sets the `Namespace` of this element or if this element is read only then an `UnsupportedOperationException` is thrown.
`void` | `setValue(String value)` Sets the value of this attribute or this method will throw an `UnsupportedOperationException` if it is read-only.

Methods inherited from interface org.dom4j.Node
`accept, asXML, asXPathResult, clone, createXPath, detach, getDocument, getName, getNodeType, getNodeTypeName, getParent, getPath, getPath, getStringValue, getText, getUniquePath, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf, write`

Method Detail

### getQName

    public QName getQName()

  Returns the `QName` of this attribute which represents the local name, the qualified name and the `Namespace`.

  Returns:
    the `QName` associated with this attribute

### getNamespace

    public Namespace getNamespace()

  Returns the `Namespace` of this element if one exists otherwise null is returned returned.

  Returns:
    the `Namespace` associated with this node

### setNamespace

    public void setNamespace(Namespace namespace)

  Sets the `Namespace` of this element or if this element is read only then an `UnsupportedOperationException` is thrown.

  Parameters:
    `namespace` - is the `Namespace` to associate with this element

### getNamespacePrefix

    public String getNamespacePrefix()

  Returns the namespace prefix of this element if one exists otherwise an empty `String` is returned.

  Returns:
    the prefix of the `Namespace` of this element or an empty `String`

### getNamespaceURI

    public String getNamespaceURI()

  Returns the URI mapped to the namespace of this element if one exists otherwise an empty `String` is returned.

  Returns:
    the URI for the `Namespace` of this element or an empty `String`

### getQualifiedName

    public String getQualifiedName()

  Returns the fully qualified name of this element.

  This will be the same as the value returned from `Node.getName()` if this element has no namespace attached to this element or an expression of the form

       getNamespacePrefix() + ":" + getName()

  will be returned.

  Returns:
    the fully qualified name of the element

### getValue

    public String getValue()

  Returns the value of the attribute. This method returns the same value as the `Node.getText()`method.

  Returns:
    the value of the attribute

### setValue

    public void setValue(String value)

  Sets the value of this attribute or this method will throw an `UnsupportedOperationException` if it is read-only.

  Parameters:
    `value` - is the new value of this attribute

### getData

    public Object getData()

  Accesses the data of this attribute which may implement data typing bindings such as `XML Schema` or `Java Bean` bindings or will return the same value as `Node.getText()`.

  Returns:
    the attribute data

### setData

    public void setData(Object data)

  Sets the data value of this attribute if this element supports data binding or calls `Node.setText(String)`if it doesn't.

  Parameters:
    `data` - the attribute data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.